GET
/v1/catalog/product-usageGET /v1/catalog/product-usage
Scopes: catalog:product_usage:read
Requires scope: catalog:product_usage:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from | query | string | no | |
to | query | string | no | |
manufacturer_id | query | integer<int32> | no | |
starting_after | query | string | no | |
ending_before | query | string | no | |
limit | query | integer<int32> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/catalog/product-usage', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);